Bug 1354655 - rhel-s390x-server-rs-7-beta channel maps are absent from channel-cert-mapping.txt
Summary: rhel-s390x-server-rs-7-beta channel maps are absent from channel-cert-mapping...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 21:04 UTC by John Sefler
Modified: 2016-11-03 20:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:30:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-07-11 21:04:06 UTC
Description of problem:

RHN Classic channel 'rhel-s390x-server-rs-7-beta' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-s390x-server-rs-7-beta-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>



Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.29-1.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# grep "rhel-s390x-server-rs-7-beta" /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
[root@jsefler-rhel7 ~]# 


Actual results:
 above, no hits

Expected results:
 expected to find product cert mappings for channels:
    rhel-s390x-server-rs-7-beta
    rhel-s390x-server-rs-7-beta-debuginfo

Additional info:
  before subscription-manager-migration-data can be fixed, an update to upstream http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json is required

Comment 3 Shwetha Kallesh 2016-08-10 07:13:06 UTC
See the mappings for 
rhel-s390x-server-rs-7-beta
rhel-s390x-server-rs-7-beta-debuginfo

[root@dhcp35-77 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.30-1.el7.noarch


[root@dhcp35-77 ~]#  grep "rhel-s390x-server-rs-7-beta" /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-s390x-server-rs-7-beta: Server-ResilientStorage-s390x-9e0c24677164-299.pem
rhel-s390x-server-rs-7-beta-debuginfo: Server-ResilientStorage-s390x-9e0c24677164-299.pem

Comment 5 errata-xmlrpc 2016-11-03 20:30:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.